package com.artfess.cqlt.dao;

import com.artfess.cqlt.model.QfOperationMacrD;
import com.artfess.cqlt.model.QfOperationMacrM;
import com.artfess.cqlt.vo.ReportReqVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 运营--宏观数据填报主表 Mapper 接口
 *
 * @author 黎沐华
 * @company 阿特菲斯信息技术有限公司
 * @since 2023-02-21
 */
public interface QfOperationMacrMDao extends BaseMapper<QfOperationMacrM> {

    List<QfOperationMacrD> data(@Param("vo") ReportReqVo t);

    List<QfOperationMacrD> yearData(@Param("vo") ReportReqVo t);

    List<QfOperationMacrD> quarterData(@Param("vo") ReportReqVo t);

    List<QfOperationMacrD> monthData(@Param("vo") ReportReqVo t);
}
